Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.common.ui
Class SshToolsApplicationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sshtools.common.ui.SshToolsApplicationException

All Implemented Interfaces:
  java.io.Serializable

public class SshToolsApplicationException
extends java.lang.Exception

DOCUMENT ME!

See Also:
  Serialized Form

Constructor Summary
`SshToolsApplicationException()` Creates a new SshToolsApplicationException object.
`SshToolsApplicationException(java.lang.String msg)` Creates a new SshToolsApplicationException object.
`SshToolsApplicationException(java.lang.String msg, java.lang.Throwable cause)` Creates a new SshToolsApplicationException object.
`SshToolsApplicationException(java.lang.Throwable cause)` Creates a new SshToolsApplicationException object.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SshToolsApplicationException

    public SshToolsApplicationException()

  Creates a new SshToolsApplicationException object.

### SshToolsApplicationException

    public SshToolsApplicationException(java.lang.String msg)

  Creates a new SshToolsApplicationException object.

Parameters:
  `msg` - DOCUMENT ME!

### SshToolsApplicationException

    public SshToolsApplicationException(java.lang.Throwable cause)

  Creates a new SshToolsApplicationException object.

Parameters:
  `cause` - DOCUMENT ME!

### SshToolsApplicationException

    public SshToolsApplicationException(java.lang.String msg,
                                        java.lang.Throwable cause)

  Creates a new SshToolsApplicationException object.

Parameters:
  `msg` - DOCUMENT ME!
  `cause` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD